Bug 177754 - x11-wm/spectrwm - Missing dependency
Summary: x11-wm/spectrwm - Missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 15:10 UTC by Carlo Strub
Modified: 2013-04-29 23:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2013-04-10 15:10:01 UTC
Installing spectrwm from scratch will lead to an error saying that xlock is missing. There is a simple fix.

Fix: 

Add x11/xlockmore to the list of dependencies.
How-To-Repeat: Install spectrwm from scratch
Comment 1 Edwin Groothuis freebsd_committer 2013-04-10 15:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zeising

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-29 23:07:35 UTC
Author: zeising
Date: Mon Apr 29 22:07:27 2013
New Revision: 316849
URL: http://svnweb.freebsd.org/changeset/ports/316849

Log:
  Update to 2.3.0
  
  Changelog:
  https://opensource.conformal.com/fluxbb/viewtopic.php?pid=2444#p2444
  
  Add a local patch to not look for xlock and throw and error on startup if
  it's not there [1]
  
  PR:		ports/177754 (in response to) [1]
  Submitted by:	Carlo Strub <cs@FreeBSD.org> [1]

Added:
  head/x11-wm/spectrwm/files/
  head/x11-wm/spectrwm/files/patch-spectrwm.c   (contents, props changed)
Modified:
  head/x11-wm/spectrwm/Makefile
  head/x11-wm/spectrwm/distinfo

Modified: head/x11-wm/spectrwm/Makefile
==============================================================================
--- head/x11-wm/spectrwm/Makefile	Mon Apr 29 20:50:03 2013	(r316848)
+++ head/x11-wm/spectrwm/Makefile	Mon Apr 29 22:07:27 2013	(r316849)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:   scrotwm
-# Date created:                June 29, 2009
-# Whom:                        Aragon Gouveia <aragon@phat.za.net>
-#
+# Created by: Aragon Gouveia <aragon@phat.za.net>
 # $FreeBSD$
-#
 
 PORTNAME=	spectrwm
-PORTVERSION=	2.2.0
-PORTREVISION=	1
+PORTVERSION=	2.3.0
 CATEGORIES=	x11-wm
 MASTER_SITES=	https://opensource.conformal.com/snapshots/${PORTNAME}/
 EXTRACT_SUFX=	.tgz

Modified: head/x11-wm/spectrwm/distinfo
==============================================================================
--- head/x11-wm/spectrwm/distinfo	Mon Apr 29 20:50:03 2013	(r316848)
+++ head/x11-wm/spectrwm/distinfo	Mon Apr 29 22:07:27 2013	(r316849)
@@ -1,2 +1,2 @@
-SHA256 (spectrwm-2.2.0.tgz) = 9fc4100530005b6d97c1b2fe81e78d0bf10425ecd57f2c523db6b36e83dab103
-SIZE (spectrwm-2.2.0.tgz) = 107382
+SHA256 (spectrwm-2.3.0.tgz) = 9b8902ea167f8570accaed3e016ebc6b7c3b8177928d2e4d57f4b488ee97199f
+SIZE (spectrwm-2.3.0.tgz) = 109384

Added: head/x11-wm/spectrwm/files/patch-spectrwm.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/spectrwm/files/patch-spectrwm.c	Mon Apr 29 22:07:27 2013	(r316849)
@@ -0,0 +1,11 @@
+--- spectrwm.c.orig	2013-04-29 23:55:24.573913339 +0200
++++ spectrwm.c	2013-04-29 23:55:44.031914326 +0200
+@@ -6316,7 +6316,7 @@
+ void
+ setup_spawn(void)
+ {
+-	setconfspawn("lock",		"xlock",		0);
++	setconfspawn("lock",		"xlock",		SWM_SPAWN_OPTIONAL);
+ 
+ 	setconfspawn("term",		"xterm",		0);
+ 	setconfspawn("spawn_term",	"xterm",		0);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Niclas Zeising freebsd_committer 2013-04-29 23:08:00 UTC
State Changed
From-To: open->closed

This was fixed by removing the check for xlock in spectrwm.  Thanks for 
the submission.